#!/bin/sh

chmod -R go-wx,+X *

if [ -d myprojects ]
then
	chmod -R 0777 myprojects/
fi

if [ -d out ]
then
	chmod -R 0775 out
fi

if [ -d config ]
then
	chmod 0775 config
	chmod 0664 config/*
fi

if [ -d samples ]
then
	chmod -R g+w samples
fi

if [ -d templates ]
then
	chmod -R g+w templates
fi

if [ -r bin/linux/i686-unknown/launchmail ]
then
	chmod +x bin/linux/i686-unknown/launchmail
fi

if [ -r bin/linux/i686-unknown/startIde ]
then
	chmod +x bin/linux/i686-unknown/startIde
fi

if [ -r bin/sunos/sun4u-sparc/gnumake ]
then
	chmod +x bin/sunos/sun4u-sparc/gnumake
fi

if [ -r bin/sunos/sun4u-sparc/launchmail ]
then
	chmod +x bin/sunos/sun4u-sparc/launchmail
fi

if [ -r bin/sunos/sun4u-sparc/startIde ]
then
	chmod +x bin/sunos/sun4u-sparc/startIde
fi

if [ -r bin/unix/fixps ]
then
	chmod +x bin/unix/fixps
fi

if [ -r bin/unix/lp ]
then
	chmod +x bin/unix/lp
fi

if [ -r bin/unix/oistart ]
then
	chmod +x bin/unix/oistart
fi

if [ -r bin/unix/oistart.csh ]
then
	chmod +x bin/unix/oistart.csh
fi

if [ -r bin/unix/showhelp.csh ]
then
	chmod +x bin/unix/showhelp.csh
fi

if [ -r bin/unix/showhelp.sh ]
then
	chmod +x bin/unix/showhelp.sh
fi

if [ -r bin/unix/viewhtml.sh ]
then
	chmod +x bin/unix/viewhtml.sh
fi

if [ -r bin/unix/startWebLogic.sh ]
then
	chmod +x bin/unix/startWebLogic.sh
fi

if [ -r bin/unix/startWebLogicDebug.sh ]
then
	chmod +x bin/unix/startWebLogicDebug.sh
fi

if [ -r bin/Together.sh ]
then
	chmod 0744 bin/Together.sh
fi

if [ -d modules/ ]
then
	chmod -R ug=rw,o=r,+X modules/
fi

if [ -r modules/com/togethersoft/modules/ejbframework/plugins/sunee/pkg.sh ]
then
	chmod +x modules/com/togethersoft/modules/ejbframework/plugins/sunee/pkg.sh
fi

